Package org.codehaus.plexus.util.cli

# Class Commandline.Argument

java.lang.Object
org.codehaus.plexus.util.cli.Commandline.Argument

All Implemented Interfaces:
  `Arg`

Enclosing class:
  Commandline

public static class Commandline.Argument extends Object implements Arg

## Constructor Summary

Constructors
Constructor
Description
`Argument()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getParts()`
`void`
`setFile(File value)`
`void`
`setLine(String line)`
`void`
`setValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Argument

public Argument()

## Method Details

### setValue

public void setValue(String value)

Specified by:
  `setValue` in interface `Arg`

### setLine

public void setLine(String line)

Specified by:
  `setLine` in interface `Arg`

### setFile

public void setFile(File value)

Specified by:
  `setFile` in interface `Arg`

### getParts

public String[] getParts()

Specified by:
  `getParts` in interface `Arg`